Download KYC logs archive
POST /kyc/download
Description
The method allows downloading an archive with KYC operation logs. A JWT token in the header is required for access.
Request Format
- HTTP method:
POST - URL:
/kyc/download - Content-Type:
application/json - Authorization: required
Request Parameters
| Parameter | Type | Where passed | Required | Description |
|---|---|---|---|---|
| token | string | Header | ✅ | User JWT token |
Request Body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
| archiveName | string | ✅ | Name of the archive to download |
Request Example (cURL)
curl -X POST "https://api.enface.ai/kyc/download"
-H "Content-Type: application/json"
-H "Authorization: Bearer jwt.temporary.token"
-d '{
"archiveName": "00-00-1970-name"
}' Response Examples
Success (200 OK)
{
"status": "ok"
} Error (400 Bad Request)
{
"message": "invalid schema",
"status": "error"
} Error (401 Unauthorized)
{
"message": "access denied",
"status": "error"
} Error (404 Not Found)
{
"message": "item with this id does not found",
"status": "error"
}